/* ----------------------------------------------------------------------------
 * Copyright (c) 2017 Semiconductor Components Industries, LLC (d/b/a
 * ON Semiconductor), All Rights Reserved
 *
 * This code is the property of ON Semiconductor and may not be redistributed
 * in any form without prior written permission from ON Semiconductor.
 * The terms of use and warranty for this code are covered by contractual
 * agreements between ON Semiconductor and the licensee.
 *
 * This is Reusable Code.
 *
 * ----------------------------------------------------------------------------
 * memset.h
 * - Standard memory set header
 * ----------------------------------------------------------------------------
 * $Revision: 1.2 $
 * $Date: 2017/10/18 20:38:08 $
 * ------------------------------------------------------------------------- */

#ifndef __MEMSET_H__
#define __MEMSET_H__

#ifdef __cplusplus
 extern "C" {
#endif

void * memset32(void *s, int c, unsigned int n) ;
void * memset64(void *s, long long c, unsigned int n)  ;
void * memcpy32(void *s1, const void *s2, unsigned int n);
void * memcpy64(void *s1, const void *s2, unsigned int n);
void * memmove32(void *s1, const void *s2, unsigned int n);

#ifdef __cplusplus
 }
#endif

#endif
